=== debian/changelog ===
lz4 (0.0~r94-1) unstable; urgency=low

  * Initial release. (Closes: #698256)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 May 2013 08:31:31 +0900
