=== debian/control ===
Source: lz4
Priority: extra
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake (>= 2.8.5)
Standards-Version: 3.9.4
Section: utils
Homepage: http://code.google.com/p/lz4/
Vcs-Git: git://git.debian.org/collab-maint/lz4.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/lz4.git;a=summary

Package: liblz4-dev
Section: libdevel
Architecture: any
Depends: liblz4-0.0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - development files
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210
 .
 This package contains files that are needed to build applications.

Package: liblz4-0.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - runtime
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210

Package: liblz4-0.0-dbg
Section: debug
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-0.0 (= ${binary:Version})
Description: Fast LZ compression algorithm library - Debugging Symbols
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210
 .
 This package contains the debugging symbols.

Package: liblz4-tool
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-0.0 (= ${binary:Version})
Multi-Arch: foreign
Description: Fast LZ compression algorithm library - tool
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      21
 .
 This package contains files that is tool using liblz4.
