=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:= $(shell dpkg-buildflags --get LDFLAGS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

LZ4_TOOL = lz4c32
ifeq ($(DEB_HOST_ARCH_BITS),64)
LZ4_TOOL = lz4c64
endif

CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON \
			-DCMAKE_INSTALL_PREFIX="/usr" \
			-DCMAKE_C_FLAGS="$(CFLAGS)" \
			-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
			-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
			-DCMAKE_CXX_FLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
			-DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
			-DBUILD_SHARED_LIBS=yes

%:
	dh $@ --buildsystem=cmake --sourcedirectory=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	dh_install

	mv debian/liblz4-tool/usr/bin/$(LZ4_TOOL) \
		debian/liblz4-tool/usr/bin/lz4c

override_dh_strip:
	dh_strip -a --dbg-package=liblz4-0.0-dbg
