=== debian/changelog ===
lz4 (0.0~r99-1) unstable; urgency=low

  * New upstream released.
  * Add symbols file.
  * Update debian/control.
    - Update Vcs-Git and Vcs-Browser field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 31 Jul 2013 12:28:38 +0900

lz4 (0.0~r94-2) unstable; urgency=low

  * Fix install path on 32bit build. (Closes: #710458)
    Update patches/0001-Fix-install-path.patch.
  * Remove unrecognized command line option '-march=native'. (Closes: #710459)
    Add patches/remove_optimize.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 May 2013 14:05:43 +0900
