=== cmake/pack/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LZ4 Packer")
 set(CPACK_PACKAGE_VERSION_MAJOR 0)
 set(CPACK_PACKAGE_VERSION_MINOR 0)
-set(CPACK_PACKAGE_VERSION_PATCH r89)
+set(CPACK_PACKAGE_VERSION_PATCH r107)
 #set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
 ##############################
 FIND_PACKAGE(Subversion)
@@ -42,22 +42,22 @@
 
 
 set(LZ4_SRCS_LIB ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}lz4_format_description.txt)
-set(LZ4_SRCS ${LZ4_SRCS_LIB} ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4c.c )
+set(LZ4_SRCS ${LZ4_SRCS_LIB} ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4cli.c )
 set(FUZZER_SRCS ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}fuzzer.c)
 
 # EXECUTABLES FOR 32 Bit and 64 versions
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
 	add_executable(lz4c32 ${LZ4_SRCS})
-	install(TARGETS lz4c32 RUNTIME DESTINATION "./")
+	install(TARGETS lz4c32 RUNTIME DESTINATION "bin/")
 SET_TARGET_PROPERTIES(lz4c32 PROPERTIES
 	COMPILE_FLAGS PROPERTIES COMPILE_FLAGS "-m32 -Os" LINK_FLAGS "-m32")
 endif()
 
 add_executable(lz4c ${LZ4_SRCS})
-install(TARGETS lz4c RUNTIME DESTINATION "./")
+install(TARGETS lz4c RUNTIME DESTINATION "bin/")
 
 add_executable(fuzzer ${FUZZER_SRCS})
-install(TARGETS fuzzer RUNTIME DESTINATION "./")
+install(TARGETS fuzzer RUNTIME DESTINATION "bin/")
 
 #target_link_libraries(lz4 ${LZ4_SRCS_LIB})
 ####################### CPACK PACKAGING ###################
