=== debian/changelog ===
lz4 (0.0~r107-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r107).
  * Update patches.
  * Update symbol file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Oct 2013 19:51:48 +0900
