=== debian/changelog ===
lz4 (0.0~r109-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r109).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Dec 2013 07:26:12 +0900
