=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.4
 Section: utils
 Homepage: http://code.google.com/p/lz4/
-Vcs-Git: git://git.debian.org/collab-maint/lz4.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lz4.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/lz4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lz4.git;a=summary
 
 Package: liblz4-dev
 Section: libdevel
