=== debian/changelog ===
lz4 (0.0~r114-2ubuntu1) trusty; urgency=medium

  * debian/patches/fix-endianness-check.patch: Include <stdlib.h> before using
    __GLIBC__.  Checking for __GLIBC__ without including a header that defines
    it doesn't work very well, so the endianness falls back to the hardcoded
    arch list, which incorrectly identifies ppc64el as big endian.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Apr 2014 16:25:20 +0100

lz4 (0.0~r114-2) unstable; urgency=low

  * Update patches/add-support-kfreebsd.patch.
    Support programs.Makefile too.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 14:23:35 +0900

lz4 (0.0~r114-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Remove support-library-version.patch
    Applied to upstream.
  * Update add-ldflags.patch.
  * Add patches/fix-install.patch.
    Fix install library.
  * Update symbols file.
  * Add patches/add-support-kfreebsd.patch.
    Support install on kFreeBSD.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 01:53:20 +0900

lz4 (0.0~r113-2) unstable; urgency=low

  * Update debian/control.
    - Add Conflict and Replaces field of libz4-1-dbg (Closes: #741003).
    - Update package description (Closes: #741001).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Mar 2014 08:34:29 +0900

lz4 (0.0~r113-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Update debian/rules.
    - Change build tool from cmake to GNU make.
  * Update debian/control.
    - cmake from Build-Depends
    - Update Standards-Version to 3.9.5
  * Update symbols file.
  * Add patches/add-dlflags.patch.
  * Add patches/support-library-version.patch.
  * Remove old patches.
  * Change package name and install script name.
  * Add manpage of lz4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 10:50:41 +0900
